Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - strongswan

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: strongswan 5.5.1-5

Git Clone URL: https://aur-dev.archlinux.org/strongswan.git (read-only)
Package Base: strongswan
Description: open source IPsec implementation
Upstream URL: http://www.strongswan.org
Keywords: IPsec strongswan
Licenses: GPL
Conflicts: openswan
Submitter: jayray
Maintainer: Thermi
Last Packager: Thermi
Votes: 99
Popularity: 2.646251
First Submitted: 2007-04-22 16:41
Last Updated: 2017-02-04 18:22

Latest Comments

« First ‹ Previous ... 5 6 7 8 9 10 11 12 Next › Last »

darie commented on 2013-04-30 21:16

Just read in my newsfeed that strongswan has a MAJOR security issue when openssl is enabled: https://lists.strongswan.org/pipermail/announce/2013-April/000078.html
If you use strongswan you should update to version 5.0.4 immediately

dkorzhevin commented on 2013-02-26 15:20

Updated to 5.0.2

If you use 5.0.1 vs. 5.0.2 you have to configure esp= on at least one side as the default has changed (pfs is now disabled by default, as was already documented before, but 5.0.0 and 5.0.1 both had DH groups in their proposal).

For example:

esp=aes128-sha1-modp2048

dkorzhevin commented on 2012-12-22 19:18

Hi, jiehanzheng

Yes, i am updated PKGBUILD and add '--enable-xauth-eap'. Please, let me know if you need any info or you have any problems, and thank you for your feedback!

P.s. for my server i use next ./configure options:

./configure --sysconfdir=/etc --enable-eap-identity --enable-eap-mschapv2 \
--enable-md4 --enable-integrity-test --enable-test-vectors --enable-sql \
--enable-mysql --enable-xauth-eap --enable-eap-radius --enable-eap-md5

jiehanzheng commented on 2012-12-21 07:57

Could you add --enable-xauth-eap to the configure line? If --enable-eap-radius is present, adding --enable-xauth-eap will enable Apple iOS to connect. Thank you!

dkorzhevin commented on 2012-10-26 08:57

Please, check updated package.

Schnouki commented on 2012-10-22 22:29

strongSwan 5.0.1 is out includes a systemd service file.

dkorzhevin commented on 2012-09-06 09:30

Note:

To use this ipsec server with windows 7 clients, you need to include additional compilation options:

--enable-md4 --enable-eap-identity --enable-eap-mschapv2

dkorzhevin commented on 2012-08-18 17:29

Package adopted. Will be updated soon.

nbryskin commented on 2012-07-13 19:15

Updated for 5.0.0 here https://gist.github.com/3106784

miffe commented on 2012-06-26 15:02

Updated for 4.6.4 here http://codepad.org/OXqtlLVk